{% extends "base.html" %}
{% block title %}{{category_detail.name}}{% endblock %}
{% block content %}
<h2>{{ category_detail.name }}</h2>
<div class="list-group">
    {% for product in products %}
    <a href="{{ product.get_absolute_url }}" class="list-group-item">
        <h4 class="list-group-item-heading">{{ product.name }}</h4>
        <p class="list-group-item-text">{{ product.price }}</p>
        {% load thumbnail %}
        {% thumbnail product.image "250x191"  as im %}
        <img src="{{ im.url }}" width="{{ im.width }}" height="{{ im.height }}">
        {% endthumbnail %}
        <p class="list-group-item-likes">{{ product.likes.count }}</p>

    </a>

    {% endfor %}
    </div>
<div class="pagination">
    <span class="step-links">
        {% if products.has_previous %}
            <a href="?page={{ products.previous_page_number }}">previous</a>
        {% endif %}

        {% if products.has_next %}
            <a href="?page={{ products.next_page_number }}">next</a>
        {% endif %}
    </span>
</div>
    {% endblock content %}




